<!--
 Copyright (c) 2014, 2017, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
<div class="oj-hybrid-padding">
  <div>
      
      <div class="oj-flex oj-flex-items-pad">
                      
				<!-- section 1 -->
				<!-- left side -->
				
				<div class="oj-sm-12 oj-md-12 oj-lg-12">
					
					<div  style="margin: 10px; text-align: left;">
						<center>
						<div><h1 style='color:#1a5276'><b><img src='/images/pitch-icon.png' width='50px' height='50px' style='vertical-align: middle;' />
						 <span class='all-caps' data-bind="text: $root.appName"></span></b></h1></div><br/>
						
						<div id="loginScreen" class=" oj-panel oj-panel-alt1 oj-panel-shadow-sm" style='background-color:#FFF;'>
							<h4><strong><span data-bind="text: 'Register a New Account'"></span></strong></h4>
							
							<div class="oj-form-layout">
							<div class="oj-form"> 
									<oj-input-text placeholder='FirstName' id="firstName-input" required  
									style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
									value='Usman'
									validators='[{"type": "regExp",
									  "options": {
										"pattern": "[a-zA-Z]{2,}", 
										"hint": "Enter at least 2 letters.",
										"messageDetail": "You must enter at least 2 letters."}}]'>
									</oj-input-text><br/>
									
									<oj-input-text placeholder='Last Name' id="lastName-input" required 
									value='Abubakar' 
									style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
									validators='[{"type": "regExp",
									  "options": {
										"pattern": "[a-zA-Z]{2,}", 
										"hint": "Enter at least 2 letters.",
										"messageDetail": "You must enter at least 2 letters."}}]'>
									</oj-input-text><br/>
								
									<oj-input-text value='abubakar@oracle.com' placeholder='Email Address' id="email-input" required inputmode="email" style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
									value="{{email}}" validators="[[emailPatternValidator]]"></oj-input-text><br/>
									
									<oj-input-text value='4416798001' placeholder='Phone Number' id="phone-input" required inputmode="phone" style='max-width: 100%; font-size: 12pt;padding-bottom:6px;'>
									</oj-input-text><br/>
									
									<oj-input-text placeholder='Address Line 1' value='12 Hill Avenue, Off West Road' id="address1-input" required  
									style='max-width: 100%; font-size: 12pt;padding-bottom:6px;'>
									</oj-input-text><br/>
									
									<oj-input-text placeholder='Address Line 2' value='Ground Square, London' id="address2-input" required  
									style='max-width: 100%; font-size: 12pt;padding-bottom:6px;'>
									</oj-input-text><br/>
									
									<oj-input-password placeholder='Password' value='amachree' id="password-input" required style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' value="">
									</oj-input-password><br/>
									
									<oj-input-password placeholder='Confirm Password' value='amachree' id="cpassword-input" required style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' value="">
									</oj-input-password><br/>
									
									
									<button id= "btnCheck" class='button alt big fit'
									data-bind="click: buttonClick,
											   ojComponent: { component: 'ojButton', label: 'Register Now' }">
									</button>
									<hr/>
									<div style='text-align:left;'>
										<img src='/images/speaker.png' width='52px' height='52px' class='img-align' />
										&nbsp;
										<a href='./?root=register-partner'>Register as a Partner</a></div>
									<br/><br/>
									
							</div>
							</div>
							<div><span id="status"></span></div>
						
						</div>
						</center>
						
					</div>
				</div>
				
				
		</div>
				
				
				
				
  </div>
</div>
